// priority: 0

console.info('Startup script loaded!')

onEvent('worldgen.add', event => {
	
	event.addOre(ore => {
		ore.block = 'astralsorcery:rock_crystal_ore'

		ore.clusterMinSize = 3
		ore.clusterMaxSize = 6
		ore.clusterCount = 4
		ore.minHeight = 0
		ore.maxHeight = 30
		
	})
	
	event.addOre(ore => {
		ore.block = 'minecraft:diamond_ore'
		
		ore.clusterMinSize = 4
		ore.clusterMaxSize = 6
		ore.clusterCount = 10
		ore.minHeight = 0
		ore.maxHeight = 16
	
	})
	
	event.addOre(ore => {
		ore.block = 'minecraft:emerald_ore'
		
		ore.clusterMinSize = 2
		ore.clusterMaxSize = 4
		ore.clusterCount = 8
		ore.minHeight = 0
		ore.maxHeight = 16

	})
})